package com.xzzn.ems.domain.vo;


import java.util.Date;

/**
 * 单站监控-故障告警请求
 *
 */
public class AlarmRecordListRequestVo {
    /** 站点id */
    private String siteId;

    /** 设备类型 */
    private String deviceType;

    /** 告警等级 */
    private String alarmLevel;

    /** 告警发生时间 */
    private String alarmStartTime;

    /** 告警结束时间 */
    private String alarmEndTime;

    /** 设备id */
    private String deviceId;

    /** 告警状态 */
    private String status;

    public String getSiteId() {
        return siteId;
    }

    public void setSiteId(String siteId) {
        this.siteId = siteId;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public String getAlarmLevel() {
        return alarmLevel;
    }

    public void setAlarmLevel(String alarmLevel) {
        this.alarmLevel = alarmLevel;
    }

    public String getAlarmStartTime() {
        return alarmStartTime;
    }

    public void setAlarmStartTime(String alarmStartTime) {
        this.alarmStartTime = alarmStartTime;
    }

    public String getAlarmEndTime() {
        return alarmEndTime;
    }

    public void setAlarmEndTime(String alarmEndTime) {
        this.alarmEndTime = alarmEndTime;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
